GENERAL ERROR: When upgrading from PureDisk 6.2.2 to 6.5, a message appears stating "Can't upgrade from '6.2.2.4167', it must be between 6.2.0 and 6.2.1"

Article:TECH58687  |  Created: 2008-01-20  |  Updated: 2009-01-12  |  Article URL http://www.symantec.com/docs/TECH58687
Article Type
Technical Solution


Environment

Issue



GENERAL ERROR: When upgrading from PureDisk 6.2.2 to 6.5, a message appears stating "Can't upgrade from '6.2.2.4167', it must be between 6.2.0 and 6.2.1"

Solution



Overview:
When upgrading from PureDisk 6.2.2 to 6.5, a message appears stating "Can't upgrade from '6.2.2.4167', it must be between 6.2.0 and 6.2.1".

Note: The issues occurs specifically when upgrading from PureDisk 6.2.2.  The current version of PureDisk can be confirmed from the GUI login screen.


Error Code(s)/Message(s):
Output on the screen when attempting to upgrade the PureDisk application:

<hostname>:~ # /cdrom/puredisk/software/upgrade.sh

ERROR: Can't upgrade from '6.2.2.4167', it must be between 6.2.0 and 6.2.1
Please visit the Symantec support web site to see how to upgrade from version '6.2.2.4167'
!! Upgrade aborted !!

WARNING: Cron Daemon has been stopped to prevent new jobs being started.
If you try to upgrade again immediately, it's not useful to start Cron Daemon now.
If you decide not to continue the upgrade for now, start Cron Daemon again.
Do you want to start the Cron Daemon? (yes/no):yes
Starting CRON daemon..done


Resolution:
Upgrading from PureDisk 6.2.2 to 6.5 or 6.5.0.1 is not possible.  It is recommended to upgrade to PureDisk 6.5.1 when it becomes available.  Steps to upgrade would be made available as part of the 6.5.1 release update.


Additional Notes:
-  At the end of the installation, the installer prompts the user to start/stop cron. Cron should be started (/etc/init.d/cron start) if it is still stopped after the install attempt.

-  If PDOS has been upgraded to 6.5, PureDisk 6.2.2 should continue to run as expected on the PDOS 6.5 Platform.

Supplemental Materials

SourceETrack
Value1402507
DescriptionETrack (NetBackup) 1402507: Unable to upgrade PureDisk 6.2.2 to 6.5

Legacy ID



301523


Article URL http://www.symantec.com/docs/TECH58687


Terms of use for this information are found in Legal Notices